Debian Bug report logs - #683791
ITP: calypso -- CalDAV and CardDav server

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joseph Nahmias <joe@nahmias.net>

Date: Sat, 4 Aug 2012 00:36:02 UTC

Owned by: Joseph Nahmias <joe@nahmias.net>

Severity: wishlist

Fixed in version calypso/1.1

Done: Keith Packard <keithp@keithp.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, joe@nahmias.net, debian-devel@lists.debian.org, keithp@keithp.com, keithp@keithp.com, wnpp@debian.org:
Bug#683791; Package wnpp. (Sat, 04 Aug 2012 00:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joseph Nahmias <joe@nahmias.net>:
New Bug report received and forwarded. Copy sent to joe@nahmias.net, debian-devel@lists.debian.org, keithp@keithp.com, keithp@keithp.com, wnpp@debian.org. (Sat, 04 Aug 2012 00:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joseph Nahmias <joe@nahmias.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: calypso -- CalDAV and CardDav server
Date: Fri, 03 Aug 2012 20:38:39 -0400
Package: wnpp
Severity: wishlist
Owner: Joseph Nahmias <joe@nahmias.net>

* Package name    : calypso
  Version         : 0.5
  Upstream Author : Keith Packard <keithp@keithp.com>
* URL             : http://keithp.com/blogs/calypso/
* License         : GPL3+
  Programming Lang: Python
  Description     : CalDAV and CardDav server

 The Calypso Project is a CalDAV calendar server.  It aims to be a light
 solution, easy to use, easy to install, easy to configure.  As a
 consequence, it requires few software dependances and is pre-configured
 to work out-of-the-box.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#683791; Package wnpp. (Sat, 04 Aug 2012 07:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Sat, 04 Aug 2012 07:45:07 GMT) Full text and rfc822 format available.

Message #10 received at 683791@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Joseph Nahmias <joe@nahmias.net>, 683791@bugs.debian.org
Subject: Re: Bug#683791: ITP: calypso -- CalDAV and CardDav server
Date: Sat, 4 Aug 2012 09:31:42 +0200
[Message part 1 (text/plain, inline)]
also sprach Joseph Nahmias <joe@nahmias.net> [2012.08.04.0238 +0200]:
>  The Calypso Project is a CalDAV calendar server.  It aims to be a light
>  solution, easy to use, easy to install, easy to configure.  As a
>  consequence, it requires few software dependances and is pre-configured
>  to work out-of-the-box.

I use calypso from the repository and will be looking forward to
test your packages!

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#683791; Package wnpp. (Tue, 07 Aug 2012 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Packard <keithp@keithp.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Tue, 07 Aug 2012 00:27:03 GMT) Full text and rfc822 format available.

Message #15 received at submit@bugs.debian.org (full text, mbox):

From: Keith Packard <keithp@keithp.com>
To: Joseph Nahmias <joe@nahmias.net>, 683791@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#683791: ITP: calypso -- CalDAV and CardDav server
Date: Mon, 06 Aug 2012 17:24:26 -0700
[Message part 1 (text/plain, inline)]
Joseph Nahmias <joe@nahmias.net> writes:

> Package: wnpp
> Severity: wishlist
> Owner: Joseph Nahmias <joe@nahmias.net>
>
> * Package name    : calypso
>   Version         : 0.5
>   Upstream Author : Keith Packard <keithp@keithp.com>
> * URL             : http://keithp.com/blogs/calypso/
> * License         : GPL3+
>   Programming Lang: Python
>   Description     : CalDAV and CardDav server
>
>  The Calypso Project is a CalDAV calendar server.  It aims to be a light
>  solution, easy to use, easy to install, easy to configure.  As a
>  consequence, it requires few software dependances and is pre-configured
>  to work out-of-the-box.

If you put packaging bits together, I can integrate them into the
calypso repository and just upload each time I do a release. Would save
you time, and I already do this for a couple of other packages.

-- 
keith.packard@intel.com
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#683791; Package wnpp. (Tue, 07 Aug 2012 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Packard <keithp@keithp.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Tue, 07 Aug 2012 00:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#683791; Package wnpp. (Mon, 11 Mar 2013 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Mon, 11 Mar 2013 11:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 683791@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 683791@bugs.debian.org
Subject: Status
Date: Mon, 11 Mar 2013 12:20:06 +0100
[Message part 1 (text/plain, inline)]
What's the status of this ITP?

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information stored :
Bug#683791; Package wnpp. (Wed, 13 Mar 2013 14:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joe Nahmias <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Wed, 13 Mar 2013 14:57:10 GMT) Full text and rfc822 format available.

Message #30 received at 683791-quiet@bugs.debian.org (full text, mbox):

From: Joe Nahmias <joe@nahmias.net>
To: martin f krafft <madduck@debian.org>, 683791-quiet@bugs.debian.org
Subject: Re: Bug#683791: Status
Date: Wed, 13 Mar 2013 10:48:09 -0400
Haven't made substantial progress on it yet, been busy.  Are you 
interested in helping out / co-maintaining?

--Joe

On 3/11/2013 7:20 AM, martin f krafft wrote:
> What's the status of this ITP?
>



Information stored :
Bug#683791; Package wnpp. (Wed, 13 Mar 2013 18:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 13 Mar 2013 18:21:05 GMT) Full text and rfc822 format available.

Message #35 received at 683791-quiet@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Joe Nahmias <joe@nahmias.net>
Cc: 683791-quiet@bugs.debian.org
Subject: Re: Bug#683791: Status
Date: Wed, 13 Mar 2013 19:17:56 +0100
[Message part 1 (text/plain, inline)]
also sprach Joe Nahmias <joe@nahmias.net> [2013.03.13.1548 +0100]:
> Haven't made substantial progress on it yet, been busy.  Are you
> interested in helping out / co-maintaining?

I don't have the capacity, no… :(

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
it has been said that there are only two businesses
that refer to customers as users:
illegal drug trade and the computer industry.
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information stored :
Bug#683791; Package wnpp. (Fri, 26 Apr 2013 04:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Joe Nahmias" <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Fri, 26 Apr 2013 04:33:05 GMT) Full text and rfc822 format available.

Message #40 received at 683791-quiet@bugs.debian.org (full text, mbox):

From: "Joe Nahmias" <joe@nahmias.net>
To: martin f krafft <madduck@debian.org>
Cc: 683791-quiet@bugs.debian.org
Subject: Re: Bug#683791: ITP: calypso -- CalDAV and CardDav server
Date: Fri, 26 Apr 2013 00:24:18 -0400
Hi martin,

On Sat, Aug 04, 2012 at 09:31:42AM +0200, martin f krafft wrote:
> also sprach Joseph Nahmias <joe@nahmias.net> [2012.08.04.0238 +0200]:
> >  The Calypso Project is a CalDAV calendar server.  It aims to be a light
> >  solution, easy to use, easy to install, easy to configure.  As a
> >  consequence, it requires few software dependances and is pre-configured
> >  to work out-of-the-box.
> 
> I use calypso from the repository and will be looking forward to
> test your packages!

I've (finally) started the packaging effort.  You can follow the repo in
collab-maint on git.debian.org.  Feedback welcome!

--Joe



Information stored :
Bug#683791; Package wnpp. (Fri, 26 Apr 2013 04:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Joe Nahmias" <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Fri, 26 Apr 2013 04:33:08 GMT) Full text and rfc822 format available.

Message #45 received at 683791-quiet@bugs.debian.org (full text, mbox):

From: "Joe Nahmias" <joe@nahmias.net>
To: Keith Packard <keithp@keithp.com>
Cc: 683791-quiet@bugs.debian.org
Subject: Re: Bug#683791: ITP: calypso -- CalDAV and CardDav server
Date: Fri, 26 Apr 2013 00:22:28 -0400
Hi Keith,

On Mon, Aug 06, 2012 at 05:24:26PM -0700, Keith Packard wrote:
> If you put packaging bits together, I can integrate them into the
> calypso repository and just upload each time I do a release. Would save
> you time, and I already do this for a couple of other packages.

Sorry for the long delay, real life got in the way and this project has
been on the back-burner until a few days ago.

Thanks for the offer; however, it's not really necessary.  I'm doing the
packaging in a repo on git.debian.org, pulling your master branch into a
tracking branch (called upstream) and then the packaging goes on top of
that.  We have some tools that work well with this configuration.  BTW, do
you do standard source tarball releases?  I haven't seen any, but I may
not be looking in the right place.  Speaking of which, you reference
calypso.org in your documentation, but I don't see anything there...

In any case, as part of the packaging process I've been making a bunch of
changes and adding features to calypso to make it more server/multi-user
friendly.  For example, support for PAM, pidfiles, a manpage, various
init.d touch-ups, etc..  Ideally, I'd like to send all this stuff back
upstream to you.  Are you interested?  If yes (and I really hope you are),
how do you want to handle it? git-format-patch(1)? a patch-queue branch in
my repo? something else?

Many thanks for all your efforts so far,
--Joe



Information stored :
Bug#683791; Package wnpp. (Fri, 26 Apr 2013 05:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Packard <keithp@keithp.com>:
Extra info received and filed, but not forwarded. (Fri, 26 Apr 2013 05:39:11 GMT) Full text and rfc822 format available.

Message #50 received at 683791-quiet@bugs.debian.org (full text, mbox):

From: Keith Packard <keithp@keithp.com>
To: Joe Nahmias <joe@nahmias.net>
Cc: 683791-quiet@bugs.debian.org
Subject: Re: Bug#683791: ITP: calypso -- CalDAV and CardDav server
Date: Thu, 25 Apr 2013 22:32:31 -0700
[Message part 1 (text/plain, inline)]
Joe Nahmias <joe@nahmias.net> writes:

> Sorry for the long delay, real life got in the way and this project has
> been on the back-burner until a few days ago.

Welcome back!

> Thanks for the offer; however, it's not really necessary.  I'm doing the
> packaging in a repo on git.debian.org, pulling your master branch into a
> tracking branch (called upstream) and then the packaging goes on top of
> that.  We have some tools that work well with this configuration.  BTW, do
> you do standard source tarball releases?  I haven't seen any, but I may
> not be looking in the right place.  Speaking of which, you reference
> calypso.org in your documentation, but I don't see anything there...

Should probably change that; I don't think I need another domain at this
point.

> In any case, as part of the packaging process I've been making a bunch of
> changes and adding features to calypso to make it more server/multi-user
> friendly.  For example, support for PAM, pidfiles, a manpage, various
> init.d touch-ups, etc..  Ideally, I'd like to send all this stuff back
> upstream to you.  Are you interested?  If yes (and I really hope you are),
> how do you want to handle it? git-format-patch(1)? a patch-queue branch in
> my repo? something else?

Sounds great; I've been trying to find time for this kind of stuff and
failing. I also have some attempts at adding principal support, but so
far no luck getting that working...

Point me at a git repo that I can pull from; that's way easier than a
pile of patches in email

-- 
keith.packard@intel.com
[Message part 2 (application/pgp-signature, inline)]

Information stored :
Bug#683791; Package wnpp. (Sat, 29 Jun 2013 07:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and filed, but not forwarded. (Sat, 29 Jun 2013 07:45:11 GMT) Full text and rfc822 format available.

Message #55 received at 683791-quiet@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Joe Nahmias <joe@nahmias.net>, 683791-quiet@bugs.debian.org
Cc: martin f krafft <madduck@debian.org>
Subject: Re: Bug#683791: Status
Date: Sat, 29 Jun 2013 09:38:36 +0200
Hi Joe,
On Wed, Mar 13, 2013 at 10:48:09AM -0400, Joe Nahmias wrote:
> Haven't made substantial progress on it yet, been busy.  Are you
> interested in helping out / co-maintaining?

Any progress here? It'd be great to have it in Debian.
Cheers,
 -- Guido

> 
> --Joe
> 
> On 3/11/2013 7:20 AM, martin f krafft wrote:
> >What's the status of this ITP?
> >



Information stored :
Bug#683791; Package wnpp. (Sun, 30 Jun 2013 23:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Joe Nahmias" <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Sun, 30 Jun 2013 23:57:08 GMT) Full text and rfc822 format available.

Message #60 received at 683791-quiet@bugs.debian.org (full text, mbox):

From: "Joe Nahmias" <joe@nahmias.net>
To: Guido Günther <agx@sigxcpu.org>
Cc: 683791-quiet@bugs.debian.org, martin f krafft <madduck@debian.org>
Subject: Re: Bug#683791: Status
Date: Sun, 30 Jun 2013 19:48:20 -0400
Hello Guido,

On Sat, Jun 29, 2013 at 09:38:36AM +0200, Guido Günther wrote:
> Hi Joe,
> On Wed, Mar 13, 2013 at 10:48:09AM -0400, Joe Nahmias wrote:
> > Haven't made substantial progress on it yet, been busy.  Are you
> > interested in helping out / co-maintaining?
> 
> Any progress here? It'd be great to have it in Debian.

Actually, I did a bunch of work on this last month and am waiting to hear
from upstream about some of it.  There's still a bit more on my TODO list
before I feel comfortable uploading to unstable, but it's in a pretty
decent shape.  So, if you'd like to start testing, you can check it out of
the git repo on collab-maint[0].  Any feedback would surely be welcome.

> Cheers,
>  -- Guido

--Joe

[0] git://anonscm.debian.org/collab-maint/calypso.git



Information stored :
Bug#683791; Package wnpp. (Sun, 30 Jun 2013 23:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Joe Nahmias" <joe@nahmias.net>:
Extra info received and filed, but not forwarded. (Sun, 30 Jun 2013 23:57:11 GMT) Full text and rfc822 format available.

Message #65 received at 683791-quiet@bugs.debian.org (full text, mbox):

From: "Joe Nahmias" <joe@nahmias.net>
To: Keith Packard <keithp@keithp.com>
Cc: 683791-quiet@bugs.debian.org
Subject: Re: Bug#683791: ITP: calypso -- CalDAV and CardDav server
Date: Sun, 30 Jun 2013 19:54:35 -0400
Hi Keith,

On Fri, Apr 26, 2013 at 12:22:27AM -0400, Joseph Nahmias wrote:
> In any case, as part of the packaging process I've been making a bunch of
> changes and adding features to calypso to make it more server/multi-user
> friendly.  For example, support for PAM, pidfiles, a manpage, various
> init.d touch-ups, etc..  Ideally, I'd like to send all this stuff back
> upstream to you.  Are you interested?  If yes (and I really hope you are),
> how do you want to handle it? git-format-patch(1)? a patch-queue branch in
> my repo? something else?

Well, it's been two months since I sent this email to you without a
response...  In the meantime I did quite a bit of work that should flow
back into your repo.  Please checkout the 'for_keithp' branch at
git://anonscm.debian.org/collab-maint/calypso.git

Please let me know what you think.
--Joe



Information stored :
Bug#683791; Package wnpp. (Mon, 01 Jul 2013 05:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Packard <keithp@keithp.com>:
Extra info received and filed, but not forwarded. (Mon, 01 Jul 2013 05:33:09 GMT) Full text and rfc822 format available.

Message #70 received at 683791-quiet@bugs.debian.org (full text, mbox):

From: Keith Packard <keithp@keithp.com>
To: Joe Nahmias <joe@nahmias.net>
Cc: 683791-quiet@bugs.debian.org
Subject: Re: Bug#683791: ITP: calypso -- CalDAV and CardDav server
Date: Sun, 30 Jun 2013 22:18:47 -0700
[Message part 1 (text/plain, inline)]
Joe Nahmias <joe@nahmias.net> writes:

> Hi Keith,
>
> On Fri, Apr 26, 2013 at 12:22:27AM -0400, Joseph Nahmias wrote:
>> In any case, as part of the packaging process I've been making a bunch of
>> changes and adding features to calypso to make it more server/multi-user
>> friendly.  For example, support for PAM, pidfiles, a manpage, various
>> init.d touch-ups, etc..  Ideally, I'd like to send all this stuff back
>> upstream to you.  Are you interested?  If yes (and I really hope you are),
>> how do you want to handle it? git-format-patch(1)? a patch-queue branch in
>> my repo? something else?
>
> Well, it's been two months since I sent this email to you without a
> response...  In the meantime I did quite a bit of work that should flow
> back into your repo.  Please checkout the 'for_keithp' branch at
> git://anonscm.debian.org/collab-maint/calypso.git
>
> Please let me know what you think.

Cool, will do - have done a bit of upstream work getting Calypso working
with other clients with HTTP/1.1 and a few other fixes from another
contributor. I'll see if I can't get your bits integrated as well.

-keith
[Message part 2 (application/pgp-signature, inline)]

Information stored :
Bug#683791; Package wnpp. (Mon, 15 Jul 2013 15:54:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and filed, but not forwarded. (Mon, 15 Jul 2013 15:54:28 GMT) Full text and rfc822 format available.

Message #75 received at 683791-quiet@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Joe Nahmias <joe@nahmias.net>
Cc: 683791-quiet@bugs.debian.org
Subject: Re: Bug#683791: Status
Date: Mon, 15 Jul 2013 17:50:41 +0200
Hi Joe,
On Sun, Jun 30, 2013 at 07:48:20PM -0400, Joe Nahmias wrote:
> Hello Guido,
> 
> On Sat, Jun 29, 2013 at 09:38:36AM +0200, Guido Günther wrote:
> > Hi Joe,
> > On Wed, Mar 13, 2013 at 10:48:09AM -0400, Joe Nahmias wrote:
> > > Haven't made substantial progress on it yet, been busy.  Are you
> > > interested in helping out / co-maintaining?
> > 
> > Any progress here? It'd be great to have it in Debian.
> 
> Actually, I did a bunch of work on this last month and am waiting to hear
> from upstream about some of it.  There's still a bit more on my TODO list
> before I feel comfortable uploading to unstable, but it's in a pretty
> decent shape.  So, if you'd like to start testing, you can check it out of
> the git repo on collab-maint[0].  Any feedback would surely be welcome.

I had a brief look and most of this looks great. Why not forward it to
Keith as is? 
I for my part don't need PAM or similar. Having current upstream and
working forward from there would be a nice start.
Cheers,
 -- Guido



Information stored :
Bug#683791; Package wnpp. (Tue, 16 Jul 2013 11:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 16 Jul 2013 11:00:05 GMT) Full text and rfc822 format available.

Message #80 received at 683791-quiet@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Joe Nahmias <joe@nahmias.net>
Cc: Guido Günther <agx@sigxcpu.org>, 683791-quiet@bugs.debian.org
Subject: Re: Bug#683791: Status
Date: Tue, 16 Jul 2013 12:57:50 +0200
[Message part 1 (text/plain, inline)]
also sprach Joe Nahmias <joe@nahmias.net> [2013.07.01.0148 +0200]:
> Actually, I did a bunch of work on this last month and am waiting to hear
> from upstream about some of it.  There's still a bit more on my TODO list
> before I feel comfortable uploading to unstable, but it's in a pretty
> decent shape.  So, if you'd like to start testing, you can check it out of
> the git repo on collab-maint[0].  Any feedback would surely be welcome.

FYI: http://debian.madduck.net/repo/pool/main/c/calypso/
deb http://debian.madduck.net/repo wheezy-backports main

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
i don't want to get myself into a hot babe situation.
                         -- jonathan mcdowll, #debian-uk, 6 jul 2009
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information stored :
Bug#683791; Package wnpp. (Tue, 16 Jul 2013 11:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 16 Jul 2013 11:24:04 GMT) Full text and rfc822 format available.

Message #85 received at 683791-quiet@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Joe Nahmias <joe@nahmias.net>
Cc: Guido Günther <agx@sigxcpu.org>, 683791-quiet@bugs.debian.org
Subject: Re: Bug#683791: Status
Date: Tue, 16 Jul 2013 13:22:23 +0200
[Message part 1 (text/plain, inline)]
also sprach Joe Nahmias <joe@nahmias.net> [2013.07.01.0148 +0200]:
> Any feedback would surely be welcome.

Is it possible to default the daemon not to run as root? I think
that should be avoided at all costs, if possible.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"as if you could kill time without injuring eternity."
                                              -- henry david thoreau
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 15 Aug 2013 20:06:16 GMT) Full text and rfc822 format available.

Message sent on to Joseph Nahmias <joe@nahmias.net>:
Bug#683791. (Fri, 16 Aug 2013 15:21:25 GMT) Full text and rfc822 format available.

Message #90 received at 683791-submitter@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: 683791-submitter@bugs.debian.org
Subject: suggestions for the calypso package
Date: Fri, 16 Aug 2013 17:18:43 +0200
[Message part 1 (text/plain, inline)]
hello joe,

i'd like to make some suggestions on the package:

* default.calypso: i'd call it ENABLE_CALYPSO to avoid logic inversion,
  and to stay consistent with what seems to be common in defaults.

* the control file could need VCS-Git / VCS-Web lines, given they are
  already on alioth.

* could you explain what magic is enabled in rules with `export
  DH_OPTIONS`? it's not obvious from the file what it should interact
  with, so the documentation is hard to find.

best regards
chrysn
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#683791; Package wnpp. (Fri, 23 Aug 2013 07:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Fri, 23 Aug 2013 07:45:04 GMT) Full text and rfc822 format available.

Message #95 received at 683791@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: 683791@bugs.debian.org
Cc: Joseph Nahmias <joe@nahmias.net>, Keith Packard <keithp@keithp.com>
Subject: calypso packaging, upstream patches
Date: Fri, 23 Aug 2013 09:43:18 +0200
[Message part 1 (text/plain, inline)]
hello,

i'd like to give a short update on the state of calypso packaging:

* keith's upstream repository (git://keithp.com/git/calypso) contains a
  newly released 1.1 version.

* some of the changes in 1.1 make joe's patches obsolete (addition of a
  man page, http1.1 support). i've merged the patches atop my own ones
  (which are rebased versions of what has been published on the calypso
  mailing list before) atop 1.1 and published them on collab-maint in a
  chrysn/from-joe-nahmias branch.

  patch reviews:

  * "fixup calypso init script": top part is good and important.
    depending on the install location chosen by the debian package,
    DAEMON needs adaption. DISABLE_CALPYSO should be ENABLE_CALPYSO imo,
    and should be checked on restart too.

  * "use ForkingMixIn": joe, have you checked what could happen with
    simultaenous put requests?

  * pam support: did not test it yet

  the others look sound to me.

* keith has published an indepenent packaging approach in the upstream
  repository's debian branch, which does not incorporate any system-wide
  startup routines.

* the own patches mentioned above originally included fixes that would
  make calypso respect xdg and use .config / .local directories for
  their respective purposes. it has been left out for the moment, for
  the following reason:

  given this has not been sorted out in joe's package (which includes
  init routines) either: where should the folder= setting point to for a
  global configuration? should the default (ie builtin) configuration be
  able to detect that it is being run as a "super user" (especially when
  not root)?

  my current personal preference is that calypso by default follow xdg
  basedir spec (ie. not even look up /etc/calypso), and have its paths
  for system wide operation explicitly configured in
  /etc/default/calypso: CALYPSO_OPTS="--configfile=/etc/calypso/config",
  and storage.folder, acl.filename and server.certificate be configured
  there; if that's the way to go, i can provide patches.

keith, joe, what are your preferences for further maintainership? keith,
do you plan to make this a debian native package, as indicated by the
version number?

best regards
chrysn

-- 
To use raw power is to make yourself infinitely vulnerable to greater powers.
  -- Bene Gesserit axiom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>:
Bug#683791; Package wnpp. (Fri, 23 Aug 2013 17:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Keith Packard <keithp@keithp.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joseph Nahmias <joe@nahmias.net>. (Fri, 23 Aug 2013 17:03:07 GMT) Full text and rfc822 format available.

Message #100 received at 683791@bugs.debian.org (full text, mbox):

From: Keith Packard <keithp@keithp.com>
To: chrysn <chrysn@fsfe.org>, 683791@bugs.debian.org
Cc: Joseph Nahmias <joe@nahmias.net>
Subject: Re: calypso packaging, upstream patches
Date: Fri, 23 Aug 2013 09:51:19 -0700
[Message part 1 (text/plain, inline)]
chrysn <chrysn@fsfe.org> writes:

> * keith's upstream repository (git://keithp.com/git/calypso) contains a
>   newly released 1.1 version.

Most of the fixes here were to support http 1.1, which makes many
clients much happier with the server.

> * some of the changes in 1.1 make joe's patches obsolete (addition of a
>   man page, http1.1 support). i've merged the patches atop my own ones
>   (which are rebased versions of what has been published on the calypso
>   mailing list before) atop 1.1 and published them on collab-maint in a
>   chrysn/from-joe-nahmias branch.
>
>   patch reviews:
>
>   * "fixup calypso init script": top part is good and important.
>     depending on the install location chosen by the debian package,
>     DAEMON needs adaption. DISABLE_CALPYSO should be ENABLE_CALPYSO imo,
>     and should be checked on restart too.

I realize calypso is a daemon, but I don't run it as a system service,
preferring to run one copy for each user so that the resulting git
repositories are owned by the right user.

>   * "use ForkingMixIn": joe, have you checked what could happen with
>     simultaenous put requests?

Another reason to run one copy per user -- no need to deal with
simultaneous connections :-)

> keith, joe, what are your preferences for further maintainership? keith,
> do you plan to make this a debian native package, as indicated by the
> version number?

For similar packages I maintain, there's no particular reason to have a
separate debian version, so using a native package is reasonable.

I'll continue to maintain my version and people are encouraged to send
me patches/pulls.

The big piece still missing is some more structured principal support,
which would make a multi-user calendar much more useful as that would
support groups. I started typing the code, but as I don't need it
myself, I decided to let someone with more direct interest take the lead.

-keith
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Keith Packard <keithp@keithp.com>:
You have taken responsibility. (Mon, 02 Sep 2013 16:03:36 GMT) Full text and rfc822 format available.

Notification sent to Joseph Nahmias <joe@nahmias.net>:
Bug acknowledged by developer. (Mon, 02 Sep 2013 16:03:36 GMT) Full text and rfc822 format available.

Message #105 received at 683791-close@bugs.debian.org (full text, mbox):

From: Keith Packard <keithp@keithp.com>
To: 683791-close@bugs.debian.org
Subject: Bug#683791: fixed in calypso 1.1
Date: Mon, 02 Sep 2013 16:00:15 +0000
Source: calypso
Source-Version: 1.1

We believe that the bug you reported is fixed in the latest version of
calypso, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 683791@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Keith Packard <keithp@keithp.com> (supplier of updated calypso package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 15 Aug 2013 12:14:29 +0200
Source: calypso
Binary: calypso
Architecture: source all
Version: 1.1
Distribution: unstable
Urgency: low
Maintainer: Keith Packard <keithp@keithp.com>
Changed-By: Keith Packard <keithp@keithp.com>
Description: 
 calypso    - CalDAV/CardDAV server with git backend
Closes: 683791
Changes: 
 calypso (1.1) unstable; urgency=low
 .
   * Initial release. (Closes: #683791)
Checksums-Sha1: 
 0d61636c599b55498780437c12c3324fefea42b5 809 calypso_1.1.dsc
 e74986a5cf4cfb7f888d0ca5eb70c77b348a60ac 32077 calypso_1.1.tar.gz
 975f1de533036d6122c197d7edc24ed11a5a171a 16468 calypso_1.1_all.deb
Checksums-Sha256: 
 5120ea4637b6fa8567058e4da297653e12144dd032b287ef66ea5a4b811949f1 809 calypso_1.1.dsc
 aed506f00cff4c134ad0dbbaa2f51c0d0bbf7ca26a5718c3cd31352602a4a9a2 32077 calypso_1.1.tar.gz
 9f0650469c1e166b62f9f345bd0c8d804f678a8e5a5c7eb2256f7450706ad5e4 16468 calypso_1.1_all.deb
Files: 
 7b747f53eb18208edc392090e65b70b0 809 web extra calypso_1.1.dsc
 dacc41d7c1e405931012f61fc7e0e4cd 32077 web extra calypso_1.1.tar.gz
 5abf2aa15f2a3da4c4a782f46adb694f 16468 web extra calypso_1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFSDOvsQp8BWwlsTdMRAgFoAJ4ljh5AgJLOqsoT11RB5P+YdprK0QCgk3lP
nsWUFAX0qlikURCBhDtytPU=
=lGsW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:50:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:02:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.